async def main():
	import esp32
	esp32.Partition(esp32.Partition.RUNNING).mark_app_valid_cancel_rollback()

	from wordclock import update

	import uasyncio, gc, config
	from wordclock import clockdisplay, brightnesssensor, captiveportal, chrigustimeprotocol, currenttimeservice

	gc.collect()

	tasks = [
		brightnesssensor.main(),
		clockdisplay.main(),
		captiveportal.main(),
		chrigustimeprotocol.main(),
		currenttimeservice.main(),
	]
	gc.collect()
	await uasyncio.gather(*tasks)

if __name__ == '__main__': uasyncio.run(main())
